<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>fotosocial-posts-container demo</title>

    <script src="../../webcomponentsjs/webcomponents-loader.js"></script>

    <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html">
    <link rel="import" href="../../iron-demo-helpers/demo-snippet.html">
    <link rel="import" href="../fotosocial-posts-container.html">

    <custom-style>
      <style is="custom-style" include="demo-pages-shared-styles">
      </style>
    </custom-style>
  </head>
  <body>
    <div class="vertical-section-container centered">
      <h3>Basic fotosocial-posts-container demo</h3>
      <demo-snippet>
        <template>
          <fotosocial-posts-container></fotosocial-posts-container>
          <script>
            let posts = [
              {
                photo: 'https://haciendofotos.com/wp-content/uploads/las-mejores-fotos-de-paisajes-2020.jpg',
				        description: 'foto 1',
				        likes: 4,
				        unlikes: 1
              }, {
                photo: 'https://haciendofotos.com/wp-content/uploads/las-mejores-fotos-de-paisajes-2020.jpg',
				        description: 'foto 2',
				        likes: 1,
				        unlikes: 8
              }];
            document.querySelector('fotosocial-posts-container').posts = posts;
          </script>
        </template>
      </demo-snippet>
    </div>
  </body>
</html>
